> For the complete documentation index, see [llms.txt](https://faq.finerymarkets.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://faq.finerymarkets.com/api-reference/rest-api/settlements/addincomingsettlementtransaction.md).

# addIncomingSettlementTransaction

**POST api/addIncomingSettlementTransaction**

{% tabs %}
{% tab title="Payload" %}

```json
{
    "counterpartyId": 4,
    "currency": "USD",
    "amount": 100000000000,
    "comment": "Received $1000 transaction",
    "fee": 10000,
    "network": "SWIFT"
}
```

{% endtab %}

{% tab title="200 OK" %}

```json
{
    "settlementTransactionId": 123456789
}
```

{% endtab %}

{% tab title="400 Bad request" %}

```json
{
    "error": 2
}
```

{% endtab %}
{% endtabs %}

**Request parameters**

| Filed name     | Type          | Description                                                                                                                                                                                                      |
| -------------- | ------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| counterpartyId | Efx::ClientId | Sub-account Id                                                                                                                                                                                                   |
| currency       | string        | Currency name                                                                                                                                                                                                    |
| amount         | Efx::Size     | Amount                                                                                                                                                                                                           |
| comment        | string        | Comment                                                                                                                                                                                                          |
| fee            | Efx::Size     | <p><em>Optional</em>. Network fee. <br>The amount that the recipient will receive to their wallet or custodian account will be smaller than the one you have specified as transaction amount by network fee.</p> |
| network        | string        | *Optional*. Network name                                                                                                                                                                                         |

{% hint style="info" %}
This method is allowed only for masters to create incoming transactions from their subaccounts.
{% endhint %}
